using System.Threading;
using Code;
using Cysharp.Threading.Tasks;
using RebootKit.Engine;
using RebootKit.Engine.Foundation;

namespace posadzka.code {
    public class GameplayGameModeController : IController {
        private GameplayGameModeAsset.Config _config;

        public GameplayGameModeController(GameplayGameModeAsset.Config config) {
            _config = config;
        }
        
        public void Dispose() {
        }

        public async UniTask OnStart(CancellationToken cancellationToken) {
            await RR.World().Load(_config.WorldConfig.Config);

        }

        public void OnStop() {
        }

        public void OnTick() {
        }
    }

}